#!/etc/opt/openit/perl -w
#
# Copy OpeniT block from daft.conf and append included licpollarchivefilesplitter.conf
#
my $cfg_dir = "/var/opt/openit/etc";
my $file = "licpollarchivefilesplitter.conf";

# Open output file
my $new_cfg = "$cfg_dir/$file";
open(LAFS, ">$new_cfg") || die "Not able to open '$new_cfg' for writing";

# Get OpeniT block from daft.conf
my $daft = "$cfg_dir/daft.conf";
open(DAFT, "$daft") || die "Not able to open '$daft' for reading";
while(my $line = <DAFT>) {
    last if($line =~ /^log/);
    print LAFS $line; 
}
close(DAFT);
close(LAFS);

# Append provided config
system("cat files/$file >> $new_cfg");

